<template lang="pug">
  .error-page
    .left
    .right
    .content
      .text-block
        .status {{ error.statusCode }}.
        .text Something went wrong.
        .button(v-on:click="$router.push('/creator/dashboard')")
          span.icon(v-html="$icons.arrowLeft")
          span Dashboard
      .image-block
        .image-background
        img(:src="require(`../static/vue-static/error${Math.floor(Math.random() * 2) + 1  }.png`)")
</template>

<script>
export default {
  name: 'ErrorTemplate',
  props: {
    error: {
      required: true,
      type: Object
    }
  }
}
</script>

<style lang="scss" scoped>
  .error-page {
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    transition: 0.5s;
    color: #fff;
    display: flex;
    flex-direction: row;
    justify-content: center;
    position: relative;
    z-index: 10;
    overflow: hidden;

    .left {
      width: 50%;
      background-color: #1a1a1a;
      overflow: visible;
    }

    .right {
      width: 50%;

      @media (min-width: 0) {
        background-color: #1a1a1a;
      }
      @media (min-width: 1190px) {
        background: linear-gradient(180deg, #D1C1B5 0%, #C5AD9A 100%);
      }
    }

    .content {
      width: 100%;
      max-width: 1190px;
      height: 100vh;
      display: flex;
      position: absolute;
      z-index: 10;

      @media (min-width: 0) {
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
      }
      @media (min-width: 1190px) {
        flex-direction: row;
        align-items: flex-start;
        justify-content: flex-start;
      }

      .text-block {
        padding: 0 40px;

        @media (min-width: 0) {
          margin-top: 20px;
        }
        @media (min-width: 600px) {
          margin-top: 100px;
        }
        @media (min-width: 1190px) {
          margin-top: 200px;
        }

        .status {
          font-weight: bold;

          @media (min-width: 0) {
            font-size: 54px;
          }
          @media (min-width: 520px) {
            font-size: 70px;
          }
        }

        .text {
          width: 100%;
          max-width: 680px;
          text-transform: uppercase;
          font-style: normal;
          font-weight: 700;
          margin-top: 24px;
          color: rgba(255, 255, 255, 0);
          -webkit-text-stroke-width: 1.5px;
          -webkit-text-stroke-color: #fff;

          @media (min-width: 0) {
            font-size: 48px;
            line-height: 64px;
          }
          @media (min-width: 520px) {
            font-size: 72px;
            line-height: 80px;
          }
        }

        .button {
          height: 52px;
          border-radius: 100px;
          font-weight: bold;

          @media (min-width: 0) {
            width: 100%;
            margin-top: 40px;
          }
          @media (min-width: 520px) {
            width: 173px;
            margin-top: 88px;
          }

          .icon {
            width: 14px;
            height: 20px;
            margin-right: 16px;
          }
        }
      }

      .image-block {
        display: flex;
        position: absolute;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        z-index: 30;

        @media (min-width: 0) {
          width: 100%;
          height: 50vh;
          bottom: -120px;
        }
        @media (min-width: 1190px) {
          width: calc(100% - 250px);
          height: 100vh;
          right: -128px;
          top: 0;
        }

        .image-background {
          width: 100%;
          height: 57%;
          position: absolute;
          z-index: 10;
          bottom: 0;
          background-color: #dccdb4;

          @media (min-width: 0) {
            display: block;
          }
          @media (min-width: 1190px) {
            display: none;
          }
        }

        img {
          @media (min-width: 0) {
            position: relative;
            z-index: 20;
            height: 100%;
          }
          @media (min-width: 1190px) {
            position: absolute;
            top: -24px;
            height: 124%;
          }
        }
      }
    }
  }
</style>
